2010-02-13  Rob Savoye <rob@welcomehome.org>

	[11939] adjust dependencies so they work with fc11 and fc12.

2010-02-13  Rob Savoye <rob@welcomehome.org>

	[11938] add dependencies for libgif and gstreamer-dev to Build
	Dependencies

2010-02-12  Rob Savoye <rob@welcomehome.org>

	[11937] add LIBXML_CFLAGS back in for OpenEmbedded builds.

2010-02-12  Rob Savoye <rob@welcomehome.org>

	[11936] add checking for libxml2 back in when using Gstreamer.

2010-02-10  Rob Savoye <rob@welcomehome.org>

	[11935] don't rename an existing directory to itself.

2010-02-10  Sandro Santilli <strk@keybit.net>

	[11934] Update with news taken from wiki, set release date to Feb 15
	(remember to check before actually releasing)

2010-02-10  Rob Savoye <rob@welcomehome.org>

	[11933] add update-preformat target to update the preformatted
	versions of the documentatin.

2010-02-10  Rob Savoye <rob@welcomehome.org>

	[11932] updated version numbers and dates for the release.

2010-02-10  Rob Savoye <rob@welcomehome.org>

	[11931] updated version numbers and dates for the release.

2010-02-10  Rob Savoye <rob@welcomehome.org>

	[11930] updated version numbers and dates for the release.

=== release_0_8_7_start ===
2010-02-10  Rob Savoye <rob@welcomehome.org>

	[11929] checkin modified version of the patch from bug #28850.

2010-02-09  Rob Savoye <rob@welcomehome.org>

	[11928] initialize the entry point for rtmp connections. Strip a
	leading '/' off in initModule(), not higher up.

2010-02-09  Rob Savoye <rob@welcomehome.org>

	[11927] don't FD_ZERO() the fdset after returing from select()!

2010-02-08  Rob Savoye <rob@welcomehome.org>

	[11926] tweaks to get manpages always building for deb packages, like
	the do by hand and for rpms.

2010-02-08  Rob Savoye <rob@welcomehome.org>

	[11925] add target to remove old RPM files. Tweak the names of the X11
	dependencies to match Fedora 12.

2010-02-08  Rob Savoye <rob@welcomehome.org>

	[11924] convert from DOS CR/LF (dos) format to just CR (unix format)

2010-02-08  Rob Savoye <rob@welcomehome.org>

	[11923] Add the Epoch flag to get around screwed up Fedora versioning
	problem.

2010-02-08  Rob Savoye <rob@welcomehome.org>

	[11922] more formatting tweaks to be closer to Debian's, plus more
	comments

2010-02-08  Rob Savoye <rob@welcomehome.org>

	[11921] modify the snapshot and rpm package building to use a similar
	versioning scheme as Debian, so upgrades work when comparing versions.

2010-02-08  Benjamin Wolsey <bwy@benjaminwolsey.de>

	[11920] Fix bug #28830. This removes a bogus assertion to prevent
	crashes with malformed or unsupported bytecode and handles the
	ActionStrictMode opcode for completeness and so that Gnash doesn't
	warn about it (it is only relevant for compilers).

2010-02-07  Rob Savoye <rob@welcomehome.org>

	[11919] remove all references to libxml2, we don't need to have
	configure look for it, nor do we use it at all.

2010-02-07  Rob Savoye <rob@welcomehome.org>

	[11918] change how the version gets created to avoid problems.

2010-02-07  Rob Savoye <rob@welcomehome.org>

	[11917] apply a modified patch to make our debian packaging files more
	similar structurally to Debian's to make comparisons easier. Also now
	build in sub-directory.

2010-02-06  Rob Savoye <rob@welcomehome.org>

	[11916] more tweaks to get the extra manpages working correctly for
	deb packaging.

2010-02-06  Rob Savoye <rob@welcomehome.org>

	[11915] add the two extra manpages to EXTRA_DIST, now that they always
	exist. Don't do the extra clean step, it's unnecessary now.

2010-02-06  Rob Savoye <rob@welcomehome.org>

	[11914] always make sure the doc directory is cleaned of man pages so
	they get regenerated.

2010-02-06  Rob Savoye <rob@welcomehome.org>

	[11913] cleanup the handling of the two extra man pages generated from
	gnash.1 for gtk-gnash and kde4-gnash.

2010-02-05  Markus Gothe <nietzsche@lysator.liu.se>

	[11912] actually we want the linking path for agg as well not just
	-lagg

2010-02-05  Rob Savoye <rob@welcomehome.org>

	[11911] correctly install the sysconf files, gnashrc, gnashpluginrc,
	and cygnalrc.

2010-02-04  Markus Gothe <nietzsche@lysator.liu.se>

	[11910] fixed a typo in configure.ac & cleaned up gnash_pkg_find

2010-02-04  Markus Gothe <nietzsche@lysator.liu.se>

	[11909] fixed a typo in configure.ac & cleaned up gnash_pkg_find

2010-02-04  Markus Gothe <nietzsche@lysator.liu.se>

	[11908] fixed a typo in configure.ac & cleaned up gnash_pkg_find

2010-02-04  Rob Savoye <rob@welcomehome.org>

	[11907] more changes to get documentation installing and packaging
	correctly.

2010-02-04  Rob Savoye <rob@welcomehome.org>

	[11906] updated with alternate names

2010-02-04  Rob Savoye <rob@welcomehome.org>

	[11905] adjust how the alternate manpages for gnash.1 get created and
	installed.

2010-02-04  Rob Savoye <rob@welcomehome.org>

	[11904] don't look for wget or netcat unless testing is enabled.

2010-02-04  Markus Gothe <nietzsche@lysator.liu.se>

	[11903] Clean up output

2010-02-04  Markus Gothe <nietzsche@lysator.liu.se>

	[11902] Clean up output

2010-02-04  Rob Savoye <rob@welcomehome.org>

	[11901] Add QtOpenGL headers too, in case we want to build KDE with
	OpenGL support.

2010-02-04  Markus Gothe <nietzsche@lysator.liu.se>

	[11900] Minor mod to find malloc.h on Darwin

2010-02-04  Rob Savoye <rob@welcomehome.org>

	[11899] add all the missing reference manual pages too. tweak the
	search pattern for install_info versions so it works on Lenny too.

2010-02-04  Rob Savoye <rob@welcomehome.org>

	[11898] add glossary and specifications, that were being left out of
	the dist tarball. Without these you can't build the documentation from
	the tarball sources.

2010-02-04  Rob Savoye <rob@welcomehome.org>

	[11897] configure with --enable-docbook in debian/rules. put mozill-
	plugins-gnash in Suggests, not Recommends. fix mozilla plugin install
	scripts to not error out.

2010-02-04  Benjamin Wolsey <bwy@benjaminwolsey.de>

	[11896] Update documentation. Extensions documentation is completely
	updated. ActionScript class documentation no longer has out-dated
	information, but is not completely replaced with correct information.

2010-02-03  Rob Savoye <rob@welcomehome.org>

	[11895] alternate name manpages need to link to the compressed
	version, or we get file not found. Remove them as well at uninstall
	time.

2010-02-03  Rob Savoye <rob@welcomehome.org>

	[11894] only have the default path in mozilla-plugin-gnash. Edit this
	file from setup-deb if a different browser is found at configure time.

2010-02-03  Rob Savoye <rob@welcomehome.org>

	[11893] fix typo in path name.

2010-02-03  Rob Savoye <rob@welcomehome.org>

	[11892] add the preformatted manpages for findwebcams and
	findmicrophones to DIST so they get added to the tarball.

2010-02-03  Rob Savoye <rob@welcomehome.org>

	[11891] drop a few unneeded dependencies.

2010-02-03  Rob Savoye <rob@welcomehome.org>

	[11890] ok, ok, ok, change the version to the not-yet released version
	so dpkg version comparisons work.

2010-02-03  Rob Savoye <rob@welcomehome.org>

	[11889] fix typo, kde4-gnash, not kde-gnash.

2010-02-03  Rob Savoye <rob@welcomehome.org>

	[11888] install the extra man pages created for the aliases to
	gnash.1.

2010-02-03  Rob Savoye <rob@welcomehome.org>

	[11887] link in the preformatted version of gtk-gnash.1 and
	kde4-gnash.1.

2010-02-03  Rob Savoye <rob@welcomehome.org>

	[11886] link to the images directory, so texi files actually build.

2010-02-03  Rob Savoye <rob@welcomehome.org>

	[11885] regenerated

2010-02-03  Rob Savoye <rob@welcomehome.org>

	[11884] add preformatted versions of the alternate names for the gnash
	manpage.

2010-02-03  Sandro Santilli <strk@keybit.net>

	[11883] Fix the long-standing linking dependency bug. Libcore depends
	on libmedia and libsound, libsound depends on libmedia. Period. No
	circular deps...

2010-02-03  Rob Savoye <rob@welcomehome.org>

	[11882] fix missing tag so it actually builds. Add alternate names for
	gtk-gnash and kde4-gnash.

2010-02-03  Rob Savoye <rob@welcomehome.org>

	[11881] add the --solinks option when making man pages so we get the
	alternates gtk-gnash and kde4-gnash.

2010-02-03  Rob Savoye <rob@welcomehome.org>

	[11880] drop packages in Depends that we don't directly depend on.

2010-02-03  Rob Savoye <rob@welcomehome.org>

	[11879] add Conflicts for the OpenGL packages. Edit the debian/gtk-
	plugin-gnash.* files to have the proper path for differing versions.

2010-02-03  Sandro Santilli <strk@keybit.net>

	[11878] Fix typo, smashing last stderr voicing of my ./configure runs
	on ubuntu 8.04

2010-02-03  Rob Savoye <rob@welcomehome.org>

	[11877] Add ChangeLogs exported from bzr log.

2010-02-03  Sandro Santilli <strk@keybit.net>

	[11876] Quote the multi-line swfmill -h output when echoing it, or the
	next process in pipe for some reason only gets the first line (on
	ubuntu 8.04)

2010-02-03  Rob Savoye <rob@welcomehome.org>

	[11875] add gtk-gnash.1 man page

2010-02-03  Rob Savoye <rob@welcomehome.org>

	[11874] don't use wildcards to find the gtk python plugin.

2010-02-03  Rob Savoye <rob@welcomehome.org>

	[11873] don't make links here for the extra manpages.

2010-02-03  Rob Savoye <rob@welcomehome.org>

	[11872] link kde4-gnash.1 and gtk-gnash.1 to gnash.1.

2010-02-03  Rob Savoye <rob@welcomehome.org>

	[11871] add shlibs to konqueror-plugin-gnash

2010-02-03  Rob Savoye <rob@welcomehome.org>

	[11870] adjust dependencies.

2010-02-03  Benjamin Wolsey <bwy@benjaminwolsey.de>

	[11869] Add a load of code to make reliable string-to-number
	conversion without relying on (possibly buggy) compiler
	implementations. This started to fail with newer versions of g++,
	which reject extraction of strings like "2e" to a double; older
	versions treated this as a valid exponent.  Also add tests for similar
	cases and implement; these may not have passed before either.

2010-02-03  Benjamin Wolsey <bwy@benjaminwolsey.de>

	[11868] Restrict cflags as much as possible to prevent dependency
	creep.

2010-02-02  Rob Savoye <rob@welcomehome.org>

	[11867] use a wildcard instead of mozilla, so it works with iceweasel.

2010-02-02  Rob Savoye <rob@welcomehome.org>

	[11866] use wildcard for python plugin as lenny uses site-package, but
	ubuntu uses dist-package.

2010-02-02  Rob Savoye <rob@welcomehome.org>

	[11865] install new manpages into packages.

2010-02-02  Rob Savoye <rob@welcomehome.org>

	[11864] Various improvements to keep lintian happy. Add all the man
	pages to the appropriate package. Just link to the GFDL, rather than
	include the entire text. Use wildcards in a few places to eliinate
	file not found problems. Fix changelog to build local packages.

2010-02-02  Rob Savoye <rob@welcomehome.org>

	[11863] add new manpages for findwebcams and findmicrophones
	utilities.

2010-02-02  Sandro Santilli <strk@keybit.net>

	[11862] Suggest to install libcurl-dev, not libcurl3-dev. Package
	manager should be able to give further suggestions...

2010-02-02  Rob Savoye <rob@welcomehome.org>

	[11861] iconverted to utf-8 fropm latin1. Eliminates a lintian error.

2010-02-02  Rob Savoye <rob@welcomehome.org>

	[11860] add gstreamer0.10-plugins-bad to Suggests.

2010-02-02  Benjamin Wolsey <bwy@benjaminwolsey.de>

	[11859] Silence debugging.

2010-02-02  Benjamin Wolsey <bwy@benjaminwolsey.de>

	[11858] Fix typo helpfully pointed out in the depths of fb.cpp.

2010-02-01  Sandro Santilli <strk@keybit.net>

	[11857] Hush GC debugging by default

2010-02-01  Rob Savoye <rob@welcomehome.org>

	[11856] include boost/lexical_cast.hpp

2010-02-01  Benjamin Wolsey <bwy@benjaminwolsey.de>

	[11855] Implement screenshot capability in dump-gnash. Remove
	requirement for video dump.

2010-02-01  Benjamin Wolsey <bwy@benjaminwolsey.de>

	[11854] Update documentation, --help text, removing some seriously
	out-of-date and inaccurate items and adding correct text.  Add
	commandline screenshot functions for real GUIs (not yet for dump).
	Make GUIs go through Gui::quit() before calling GUI-specific exit
	routines where possible. This applies to gtk-gnash (always) and
	kde4-gnash (except where the window is destroyed). Document
	requirement for those places it isn't implemented.  This is required
	for the final screenshot, and may be useful for other common exit
	functions.  Document new commandline functions.

2010-01-31  Sandro Santilli <strk@keybit.net>

	[11853] Unignore source files (and unexistent file). Thanks to Petter
	Reinholdtsen for noticing

2010-01-30  Rob Savoye <rob@welcomehome.org>

	[11852] drop circular dependency on libsound

2010-01-30  Rob Savoye <rob@welcomehome.org>

	[11851] remove extraneous text from the version string so the correct
	version number is always in the correct place.

2010-01-30  Benjamin Wolsey <bwy@benjaminwolsey.de>

	[11850] Check for NaN to fix bug #28773. Prevent other potential bugs
	if methods of BitmapData are called after disposal.

2010-01-29  Rob Savoye <rob@welcomehome.org>

	[11849] link in libsound too

2010-01-29  Rob Savoye <rob@welcomehome.org>

	[11848] fix executable file name.

2010-01-29  Rob Savoye <rob@welcomehome.org>

	[11847] don't try to install a non-existant ChangeLog file.

2010-01-29  Rob Savoye <rob@welcomehome.org>

	[11846] gnash.xpm is in gnash-common, not gnash

2010-01-29  Rob Savoye <rob@welcomehome.org>

	[11845] fix typo

2010-01-29  Rob Savoye <rob@welcomehome.org>

	[11844] drop libc6 as a dependency, it should be automatic.

2010-01-29  Rob Savoye <rob@welcomehome.org>

	[11843] tweak the snapshot directory name so it works with both debian
	and redhat style packaging,

2010-01-29  Rob Savoye <rob@welcomehome.org>

	[11842] remove more files before rebuilding.

2010-01-29  Rob Savoye <rob@welcomehome.org>

	[11841] always create libltdl/Makefile, even if we don't plan to use
	it. This keeps libtool 1.5 on Debian Lenny from choking on make
	distdir.

2010-01-29  Rob Savoye <rob@welcomehome.org>

	[11840] look for the .so file, not the .la file

2010-01-29  Rob Savoye <rob@welcomehome.org>

	[11839] add the extern C back in for jpeglib.h, which is required
	onsome platforms.

2010-01-29  Markus Gothe <nietzsche@lysator.liu.se>

	[11838] Added DSOEXPORT for ImageOutput::writeImageData

2010-01-29  Benjamin Wolsey <bwy@benjaminwolsey.de>

	[11837] Add comment explaining previous commit.

2010-01-29  Benjamin Wolsey <bwy@benjaminwolsey.de>

	[11836] Fix configure for libtool 1.x on non-windows machines.
	Indentation.

2010-01-29  Benjamin Wolsey <bwy@benjaminwolsey.de>

	[11835] Add function to Renderer API to render current buffer to a
	specified IOChannel and image format.  Add ScreenShot capability to
	GUI base class. Currently accessible using Ctrl-O for spontaneous
	screenshots.

2010-01-29  Benjamin Wolsey <bwy@benjaminwolsey.de>

	[11834] Use variable as it was intended.

2010-01-28  Rob Savoye <rob@welcomehome.org>

	[11833] don't build jemalloc on freebsd. Don't sisable shared
	libraries for windoze.

2010-01-28  Rob Savoye <rob@welcomehome.org>

	[11832] other than the plugins, this builds fine under open embedded
	finally. For some reason OE is statically linking everything, so the
	plugin can't be built dynamically.

2010-01-28  Rob Savoye <rob@welcomehome.org>

	[11831] add jpeg and png libs to the link to keep open embedded happy.

2010-01-28  Rob Savoye <rob@welcomehome.org>

	[11830] fix typo

2010-01-28  Rob Savoye <rob@welcomehome.org>

	[11829] use the full version name for the snapshot build directory.

2010-01-28  Sandro Santilli <strk@keybit.net>

	[11828] Don't LIBADD ld flags...

2010-01-28  Rob Savoye <rob@welcomehome.org>

	[11827] don't remove the Makefiles, get riud of extraneous '.'

2010-01-28  Rob Savoye <rob@welcomehome.org>

	[11826] break out setting up the directory for Debian builds in a
	separate target to make debugging easier.

2010-01-28  Rob Savoye <rob@welcomehome.org>

	[11825] don't run autogen.sh again, all the files are already in the
	tarball.

2010-01-28  Benjamin Wolsey <bwy@benjaminwolsey.de>

	[11824] Boost bind.

2010-01-28  Benjamin Wolsey <bwy@benjaminwolsey.de>

	[11823] Include boost bind.

2010-01-28  Benjamin Wolsey <bwy@benjaminwolsey.de>

	[11822] Include boost bind.

2010-01-28  Benjamin Wolsey <bwy@benjaminwolsey.de>

	[11821] Include boost/bind.hpp.

2010-01-28  Benjamin Wolsey <bwy@benjaminwolsey.de>

	[11820] Minor and untested fix to handle mystery SBR tag.

2010-01-27  Rob Savoye <rob@welcomehome.org>

	[11819] Various cleanups as identified by lintian.

2010-01-27  Rob Savoye <rob@welcomehome.org>

	[11818] link in libz for windoze.

2010-01-27  Rob Savoye <rob@welcomehome.org>

	[11817] build libcore before libsound to keep windoze happy. libcore
	depends on libmedia, and libsound depends on libcore.

2010-01-27  Rob Savoye <rob@welcomehome.org>

	[11816] only build static libraires on windoze.

2010-01-27  Rob Savoye <rob@welcomehome.org>

	[11815] add libgnashmedia and libgnash so make check still works for
	people that still run Ubuntu Hardy.

2010-01-27  Rob Savoye <rob@welcomehome.org>

	[11814] use a more debian standard version. Don't use -nc when
	buildings debs as it prevents the source package from bewing created.

2010-01-27  Rob Savoye <rob@welcomehome.org>

	[11813] remove the existing libltdl directory so we don't wind up with
	a mashup of versions.

2010-01-27  Rob Savoye <rob@welcomehome.org>

	[11812] us AC_CONFIG_HEADERS instead of AM_CONFIG_HEADER. Add back in
	conditional for INSTALL_LTDL

2010-01-27  Rob Savoye <rob@welcomehome.org>

	[11811] if installing in the system location, use a default path is no
	browser is installed at all.

2010-01-27  Sandro Santilli <strk@keybit.net>

	[11810] Require Ming-0.4.3 for eventSoundTest1.swf generation

2010-01-26  Benjamin Wolsey <bwy@benjaminwolsey.de>

	[11809] Fix memory corruption when passing bogus values to the
	renderer. Test what we're supposed to to do prevent it and implement.

2010-01-26  Benjamin Wolsey <bwy@benjaminwolsey.de>

	[11808] Remove left-over debug logging.

2010-01-25  Rob Savoye <rob@welcomehome.org>

	[11807] update signature so it matches what gpg wants to sign
	packages.

2010-01-25  Rob Savoye <rob@welcomehome.org>

	[11806] rename packaging snapshots so it's Debian proper style, branch
	then revno, not the other way around.

2010-01-25  Rob Savoye <rob@welcomehome.org>

	[11805] Only include gnashconfig.h in files that actually use one of
	the config constants.

2010-01-25  Benjamin Wolsey <bwy@benjaminwolsey.de>

	[11804] Fix crash when _ftProvider has not yet been initialized.

2010-01-25  Benjamin Wolsey <bwy@benjaminwolsey.de>

	[11803] More cleanup, tests.

2010-01-25  Benjamin Wolsey <bwy@benjaminwolsey.de>

	[11802] Fixes for Sun Studio compiling.  Tests, fixes and
	implementation of TextField.autoSize for "center" and "right" values
	and TextFormat.getTextExtent.  The tests for TextFormat.getTextExtent
	may be unwise because they only deal with device fonts, and these vary
	from system to system. It is probably correct that Gnash does not get
	the same result as the pp.

2010-01-24  Rob Savoye <rob@welcomehome.org>

	[11801] link in the static libltdl library.

2010-01-24  Rob Savoye <rob@welcomehome.org>

	[11800] add MatrixTest back in, it was only out for debugging.

2010-01-24  Rob Savoye <rob@welcomehome.org>

	[11799] link in the static libltdl library.

2010-01-24  Rob Savoye <rob@welcomehome.org>

	[11798] link in the static libltdl library.

2010-01-24  Rob Savoye <rob@welcomehome.org>

	[11797] use select when sniffing bytes from the network interface,
	rather than a hardcoded delay.

2010-01-24  Rob Savoye <rob@welcomehome.org>

	[11796] convert filename to lower case when trying to do a string
	compare on the suffix.

2010-01-22  Rob Savoye <rob@welcomehome.org>

	[11795] put dejagnu test under disable-testsuite. Add sysroot option,
	for now an alias to --with-top-level.

2010-01-22  Rob Savoye <rob@welcomehome.org>

	[11794] link in the static libltdl library.

2010-01-22  Rob Savoye <rob@welcomehome.org>

	[11793] link in the static libltdl library.

2010-01-22  Rob Savoye <rob@welcomehome.org>

	[11792] link in the static libltdl library.

2010-01-21  Rob Savoye <rob@welcomehome.org>

	[11791] when sniffing bytes, pause briefly between attempts or this
	goes too fast.

2010-01-21  Rob Savoye <rob@welcomehome.org>

	[11790] it would help if I could spell...

2010-01-21  Rob Savoye <rob@welcomehome.org>

	[11789] link in libmedia and libsound too.

2010-01-20  Rob Savoye <rob@welcomehome.org>

	[11788] it helps to spell the variable correctly.

2010-01-20  Rob Savoye <rob@welcomehome.org>

	[11787] link in libltdlc.la from libbase for libtool 1.x.

2010-01-20  Rob Savoye <rob@welcomehome.org>

	[11786] link in libltdlc.la from libbase for libtool 1.x.

2010-01-20  Rob Savoye <rob@welcomehome.org>

	[11785] we're building for fc12 these days.

2010-01-20  Rob Savoye <rob@welcomehome.org>

	[11784] don't use LIBLTDL, as it's a convienience lib, we don't need
	to do that.

2010-01-20  Rob Savoye <rob@welcomehome.org>

	[11783] initialize variabales to eliminate compiler warnings.

2010-01-20  Rob Savoye <rob@welcomehome.org>

	[11782] copy one less byte when making the header string.

2010-01-20  Rob Savoye <rob@welcomehome.org>

	[11781] include boost/bind.h.

2010-01-20  Benjamin Wolsey <bwy@benjaminwolsey.de>

	[11780] Include POSIX signal.h header for non-C functions.

2010-01-20  Benjamin Wolsey <bwy@benjaminwolsey.de>

	[11779] Changes to help build with strictly standard-compliant
	headers.  Improvements and fixes to various bits of code.  Original
	patch modified for line breaks and spaces.

2010-01-20  Benjamin Wolsey <bwy@benjaminwolsey.de>

	[11778] Include <clocale> for std::setlocale (NLS).

2010-01-20  Benjamin Wolsey <bwy@benjaminwolsey.de>

	[11777] Test and implement dynamic gradients correctly; the main
	changes are 1) correcting the transformation matrix to convert AS
	matrix to the appropriate Gnash gradient matrix, and 2) using the
	right member names (a, b, c, d, tx, ty). And 3) lots of automated
	tests in the prettiest DrawingApiTest page yet.  The new SWF8
	functionality (focal gradients, interpolation mode selection) is still
	not implemented.  Correct fill_style to actually create dynamic radial
	gradients (was probably a recent bug).  Half-finished refactoring of
	TextFormat to create its many methods more generically, fixing some of
	the many new tests added in actionscript.all.

2010-01-19  Rob Savoye <rob@welcomehome.org>

	[11776] we need to make the string one character larger to keep
	valgrind happy.

2010-01-19  Rob Savoye <rob@welcomehome.org>

	[11775] adjust the timeout between packets

2010-01-19  Rob Savoye <rob@welcomehome.org>

	[11774] Correctly stream video files by not ignoring the file header
	in the first packet. Adjust the timeout between packets so as not to
	overwhelm the browser with too much data, too fast.

2010-01-19  Rob Savoye <rob@welcomehome.org>

	[11773] return an error if the stream doesn't fully get transferred.
	Handle an aborted disk stream, close the network connection.

2010-01-19  Rob Savoye <rob@welcomehome.org>

	[11772] only close the network connection when the DiskStream is done
	being played.

2010-01-18  Rob Savoye <rob@welcomehome.org>

	[11771] add support for mingw32 to build with GTK.

2010-01-18  Benjamin Wolsey <bwy@benjaminwolsey.de>

	[11770] Simple fix for crash.

2010-01-18  Benjamin Wolsey <bwy@benjaminwolsey.de>

	[11769] Documentation, tabs to spaces.  Minor algorithm improvements.

2010-01-18  Benjamin Wolsey <bwy@benjaminwolsey.de>

	[11768] Tabs to spaces.

2010-01-18  Benjamin Wolsey <bwy@benjaminwolsey.de>

	[11767] Add info about AVM version so that it's easier for users to
	check.  Add documentation.

2010-01-18  Benjamin Wolsey <bwy@benjaminwolsey.de>

	[11766] Fix reported bug and unreported bug.

2010-01-18  Benjamin Wolsey <bwy@benjaminwolsey.de>

	[11765] Code style cleanups and documentation.

2010-01-17  Rob Savoye <rob@welcomehome.org>

	[11764] run our own autogen.sh instead of autoreconf.

2010-01-17  Rob Savoye <rob@welcomehome.org>

	[11763] fix typo so we don't choke bitbake.

2010-01-17  Rob Savoye <rob@welcomehome.org>

	[11762] the beginnings of Bitbake support for OpenEmbedded that's less
	than a few years out of date.

2010-01-16  Rob Savoye <rob@welcomehome.org>

	[11761] make sure there is a legit webcam beforfe trying to access it.

2010-01-16  Sandro Santilli <strk@keybit.net>

	[11760] Properly protect log_parse calls in IF_VERBOSE_PARSE

2010-01-15  Rob Savoye <rob@welcomehome.org>

	[11759] look for libpangox, not libpango-x11.

2010-01-15  Benjamin Wolsey <bwy@benjaminwolsey.de>

	[11758] Coding style improvements and documentation of some unloved
	classes.

2010-01-14  Rob Savoye <rob@welcomehome.org>

	[11757] Don't use boost condition variables on windows. Only used by
	Cygnal currently.

2010-01-14  Rob Savoye <rob@welcomehome.org>

	[11756] don't use ioctl() on windows.

2010-01-14  Rob Savoye <rob@welcomehome.org>

	[11755] more improvements for Cygwin.

2010-01-14  Rob Savoye <rob@welcomehome.org>

	[11754] don't try to build jemalloc for windows. Enable avm2 by
	default.

2010-01-14  Rob Savoye <rob@welcomehome.org>

	[11753] remove commented out cruft for building libltdl. Tweak
	indenting.

2010-01-14  Rob Savoye <rob@welcomehome.org>

	[11752] also look for libpango*.dll.a to keep Cygwin happy.

2010-01-14  Rob Savoye <rob@welcomehome.org>

	[11751] jpeglib.h is already extern'd. Use typedef for jpeg::boolean
	so it builds on Cygwin.

2010-01-14  Rob Savoye <rob@welcomehome.org>

	[11750] test for the correct variable, ac_cv_path_ffmpeg_lib was
	always unset after other changes. Fixes ffmpoeg builds.

2010-01-14  Rob Savoye <rob@welcomehome.org>

	[11749] we only build the static convienience library, so drop
	confusing installed support for libltdl.

2010-01-13  Benjamin Wolsey <bwy@benjaminwolsey.de>

	[11748] Update my email address.

2010-01-13  Benjamin Wolsey <bwy@benjaminwolsey.de>

	[11747] Update README.

2010-01-13  Benjamin Wolsey <bwy@benjaminwolsey.de>

	[11746] Tests, bug fixes, documentation, and code cleanups.

2010-01-11  Benjamin Wolsey <bwy@benjaminwolsey.de>

	[11745] More documentation.

2010-01-11  Benjamin Wolsey <bwy@benjaminwolsey.de>

	[11744] More updated documentation.

2010-01-11  Benjamin Wolsey <bwy@benjaminwolsey.de>

	[11743] Improve documentation of as_object. Minor improvement to
	interface.

2010-01-11  Benjamin Wolsey <bwy@benjaminwolsey.de>

	[11742] Wrap long copyright lines.

2010-01-01  Rob Savoye <rob@welcomehome.org>

	[11741] Regenertated preformatted documentation after updating the
	copyright. Fix xml syntax bug in gnashrc.xml from new entry. Big merge
	from experimental cygnal branch.

2010-01-01  Rob Savoye <rob@welcomehome.org>

	[11740] update copyright for 2010 everywhere.

2010-01-01  Rob Savoye <rob@welcomehome.org>

	[11739] default to kde4-gnash if gtk-gnash doesn't exist.

2009-12-31  Rob Savoye <rob@welcomehome.org>

	[11738] define CLEANFILES here.

2009-12-31  Rob Savoye <rob@welcomehome.org>

	[11737] += instead of =

2009-12-30  Tomeu Vizoso <tomeu@zviratko>

	[11736] Install python modules in an arch-dependent dir

2009-12-25  Rob Savoye <rob@welcomehome.org>

	[11735] fix a few Replace package names.

2009-12-23  John Wimer <john@god.vtic.net>

	[11734] support canvas resizing and correct the log_debug(_q())
	mistake

2009-12-22  Rob Savoye <rob@welcomehome.org>

	[11733] add_q() to strings so they can be translated.

2009-12-22  Rob Savoye <rob@welcomehome.org>

	[11732] add_q() to strings so they can be translated.

2009-12-22  Benjamin Wolsey <bwy@benjaminwolsey.de>

	[11731] Drop duplicated #undef.

2009-12-21  Sandro Santilli <strk@keybit.net>

	[11730] Split GC::collect into an inlined GC::fuzzyCollect and
	unconditional GC::runCycle

2009-12-21  Benjamin Wolsey <bwy@benjaminwolsey.de>

	[11729] Modified patch fixing some sunpro compiler problems.

2009-12-21  Benjamin Wolsey <bwy@benjaminwolsey.de>

	[11728] Minor indentation changes.

2009-12-21  Sandro Santilli <strk@keybit.net>

	[11727] Inline GC::get

2009-12-21  Sandro Santilli <strk@keybit.net>

	[11726] Tabs to spaces

2009-12-20  Rob Savoye <rob@welcomehome.org>

	[11725] remove extra dependency.

2009-12-20  Sandro Santilli <strk@keybit.net>

	[11724] Drop more useless markReachableResources methods

2009-12-20  Rob Savoye <rob@welcomehome.org>

	[11723] fix various packaging problems with the debs we build.

2009-12-20  Rob Savoye <rob@welcomehome.org>

	[11722] update to work with libssh 0.4.0, which is now required. Older
	version of libssh are now incompatible.

2009-12-19  Rob Savoye <rob@welcomehome.org>

	[11721] don't test for pygtk-codegen if pygobject-codegen exists.

2009-12-19  Rob Savoye <rob@welcomehome.org>

	[11720] if it's set, use pygtk-codegen instead of pygobject-codegen if
	the latter isn't set.

2009-12-19  Sandro Santilli <strk@keybit.net>

	[11719] Drop GC stuff from some of the non-GC-managed resources

2009-12-19  Rob Savoye <rob@welcomehome.org>

	[11718] look for iceweasel/plugins too.

2009-12-19  Rob Savoye <rob@welcomehome.org>

	[11717] we need to check for xno, not just x.

2009-12-19  Sandro Santilli <strk@keybit.net>

	[11716] Our use of intrusive_ptr need including smart_ptr.h, as there
	we define addref/dropref

2009-12-18  Rob Savoye <rob@welcomehome.org>

	[11715] add boot package names without any version numbers for
	gnewsense.

2009-12-18  Sandro Santilli <strk@keybit.net>

	[11714] Add test showing that user defined _global.String will be
	invoked when GetMember is executed on string literals

2009-12-18  Sandro Santilli <strk@keybit.net>

	[11713] Do not create 'super' objects from ActionCallMethod when the
	method being called is a built-in function. Generalizing this into an
	as_value::call(<something>) might help.

2009-12-18  Sandro Santilli <strk@keybit.net>

	[11712] Other places which would need to handle eventual runs of GC
	during action execution. Just adds use of
	ALLOW_GC_RUN_DURING_ACTIONS_EXECUTION macro, also used in VM.

2009-12-17  Sandro Santilli <strk@keybit.net>

	[11711] Cleanups in ActionCallMethod. Postpones 'super' creation to
	after more checks, saves a string_table::find call per method call.

2009-12-17  Benjamin Wolsey <bwy@benjaminwolsey.de>

	[11710] More documentation and incremental improvements for AVM2.

2009-12-17  Benjamin Wolsey <bwy@benjaminwolsey.de>

	[11709] Change container for movie_root's action queue on the
	principle of least complexity.

2009-12-16  Sandro Santilli <strk@keybit.net>

	[11708] Also test that mutating the synthetized object doesn't show
	the modification on next synthesis

2009-12-16  Sandro Santilli <strk@keybit.net>

	[11707] Add test for temporary string lifetime

2009-12-16  Sandro Santilli <strk@keybit.net>

	[11706] void creating synthetized object from primitive types on
	ACTION_DELETE* (would be plain silly)

2009-12-16  Sandro Santilli <strk@keybit.net>

	[11705] Drop useless variable and open up the branch back condition as
	it looks like a good point where other housecleaning could be done
	(like GC)

2009-12-16  Sandro Santilli <strk@keybit.net>

	[11704] Drop unneeded additional variable and math used in the
	collection phase

2009-12-16  Sandro Santilli <strk@keybit.net>

	[11703] I don't think we'll ever have NULL objects in a DisplayList,
	so turn a condition about that into an assertion checking

2009-12-16  Sandro Santilli <strk@keybit.net>

	[11702] Cache resource list size so deciding whether or not to run the
	collection cycle runs in constant time.

2009-12-16  Rob Savoye <rob@welcomehome.org>

	[11701] - Use std:: prefixes consistently - Replace M_SQRT1_2 with
	const variable - Replace fabsf usage in OpenGL renderer (std::fabs has
	an overload for floats) - Correct as_value::readAMF0 to match
	prototype - Cast ambiguously typed argument to std::ceil to double

2009-12-15  Benjamin Wolsey <bwy@benjaminwolsey.de>

	[11700] Minor cleanups.

2009-12-15  Rob Savoye <rob@welcomehome.org>

	[11699] Part of a patch from Albert Lee <trisk at forkgnu.org>:  -
	Clean up configure tests and check if isfinite is allowed by the C++
	compiler - Use <clocale> instead of <locale> for LC_ALL and
	std::setlocale - Remove duplicates from GNASHRC list - Remove most OS-
	specific content in prcpucfg-glibc.h - Improve architecture and
	compiler support in prcpucfg-glibc.h - Use std:: prefixes consistently
	- Use putenv (SUSv2) instead of setenv to modify GNASHRC - Prepend
	rather than append new GNASHRC entries - Use gnash::StringNoCaseEqual
	instead of strcasecmp - Fix quotes in agg autoconf macro - Prevent
	pthreads check from mangling CXXFLAGS

2009-12-15  Sandro Santilli <strk@keybit.net>

	[11698] Change default THREASHOLD from 50 to 64 (nicer number).
	Cleanup debugging prints so it gives better informations for stats.
	Add some documentation in the ::collect method as a starting point to
	try at improving the heuristic used to skip collection cycles. Use
	typeName rather than typeid.

2009-12-15  Sandro Santilli <strk@keybit.net>

	[11697] Drop a stupid attempt at reducing build time to switch
	debugging of GC on/off (isn't really working)

2009-12-15  Sandro Santilli <strk@keybit.net>

	[11696] Fix a bug hiding beyond a GNASH_GC_DEBUG macro. The bug
	prevented the count of collectables found in last run from being
	properly updated, resulting in more-then-needed scan runs
	(cleanUnreachable was always returning 0 as the count of deleted
	objects). Also simplified the skip condition to be more readable and
	add more checks when GNASH_GC_DEBUG is defined.

2009-12-14  Benjamin Wolsey <bwy@benjaminwolsey.de>

	[11695] Fix pythonmod build.

2009-12-14  Sandro Santilli <strk@keybit.net>

	[11694] Factories of ref_counted objects must return by intrusive_ptr,
	or assignments of 'this' to a temporary intrusive_ptr would destroy
	the created object. This was happening on 'make check' during
	attach*Imported.swf tests with a LibraryLimit of 1...

2009-12-14  Sandro Santilli <strk@keybit.net>

	[11693] Add consistency checks

2009-12-13  Sandro Santilli <strk@keybit.net>

	[11692] Move mark scanning of stack and call stack where it belong
	(VM). as_environment is only keeping aliases to those elements which
	are really owned by the VM ...

2009-12-13  Sandro Santilli <strk@keybit.net>

	[11691] Add code to mark stack and call stack reachable rather than
	expecting them to be empty if a compile-time macro is set (defaults to
	off)

2009-12-13  Sandro Santilli <strk@keybit.net>

	[11690] Make markReachableResources public for the call stack

2009-12-12  Sandro Santilli <strk@keybit.net>

	[11689] Additional test to try importing from a movie which imports
	itself from another (still for bug #28269)

2009-12-12  Sandro Santilli <strk@keybit.net>

	[11688] Automate test for bug #28269

2009-12-12  Sandro Santilli <strk@keybit.net>

	[11687] Locally export all imported symbol, fixing bug #28269.

2009-12-10  Rob Savoye <rob@welcomehome.org>

	[11686] don't forget amd64.

2009-12-10  Rob Savoye <rob@welcomehome.org>

	[11685] more tweaking of boost dependencies.

2009-12-10  Rob Savoye <rob@welcomehome.org>

	[11684] drop libz from the dependencies

2009-12-10  Rob Savoye <rob@welcomehome.org>

	[11683] add more boost dependencies dependencies.

2009-12-10  Rob Savoye <rob@welcomehome.org>

	[11682] add boost-date-time and boost-thread runtime dependencies.

2009-12-10  Rob Savoye <rob@welcomehome.org>

	[11681] add boost-date-time dependencies.

2009-12-10  Benjamin Wolsey <bwy@benjaminwolsey.de>

	[11680] Fix regression.  Use time, not branch count, to interrupt
	script execution. This still needs to be settable in gnashrc;
	implementing a dialog box in the GUI would also be a good idea.

2009-12-08  Benjamin Wolsey <bwy@benjaminwolsey.de>

	[11679] Changes to as_value to make it less dependent on AS2.
	Cleanups and documentation for AS3.

2009-12-05  Sandro Santilli <strk@keybit.net>

	[11678] Include required <deque> header

2009-12-04  Benjamin Wolsey <bwy@benjaminwolsey.de>

	[11677] Tidy up function signatures by using ObjectURI.  Clean up and
	restrict some class interfaces.  Implement more of AS3 class objects.
	Some passing tests (after an additional temporary hack for value
	equality).

2009-12-02  Benjamin Wolsey <bwy@benjaminwolsey.de>

	[11676] Restore class name from Script to Class.  Improve
	documentation and includes.

2009-12-02  Benjamin Wolsey <bwy@benjaminwolsey.de>

	[11675] Improve ugly and verbose handling of namespaces by using
	ObjectURI much more. This now makes usage almost transparent, as using
	a string_table::key will automatically use the global namespace
	without the need for a namespace argument at an unpredictable place in
	the argument list for every single function.  Be stricter about
	namespaces for AVM2.

2009-12-01  Benjamin Wolsey <bwy@benjaminwolsey.de>

	[11674] Fix a bug wrongly limiting properties to a platform-dependent
	and usually too small number, which can affect any objects with more
	than 65535 properties and specifically large arrays.  No automatic
	test.

2009-12-01  Benjamin Wolsey <bwy@benjaminwolsey.de>

	[11673] Correct name (although the comment itself is very confused).

2009-12-01  Benjamin Wolsey <bwy@benjaminwolsey.de>

	[11672] Separate AVM2 and AVM1 classes better.  Add better
	documentation.  Simplify as_value's object handling. This is needed to
	avoid code proliferation when the as_class type is used.

2009-12-01  Benjamin Wolsey <bwy@benjaminwolsey.de>

	[11671] Add script order test generated using magcius's script.

2009-11-30  Sandro Santilli <strk@keybit.net>

	[11670] Fix non-used code (well, at least it looks more like it should
	be)

2009-11-30  Sandro Santilli <strk@keybit.net>

	[11669] Stop the video frame refresh debugging hassle

2009-11-30  Sandro Santilli <strk@keybit.net>

	[11668] Reduce debug verbosity

2009-11-30  Sandro Santilli <strk@keybit.net>

	[11667] Reduce debugging output

2009-11-30  Sandro Santilli <strk@keybit.net>

	[11666] Cleanup decoders on a new play request. Set playHead position
	to timeframe of first input frame. Fixes seek outside buffer and HD
	button.

2009-11-30  Sandro Santilli <strk@keybit.net>

	[11665] Add an interface to get earliest timestamp in queue (either
	from audio or video frame)

2009-11-30  Sandro Santilli <strk@keybit.net>

	[11664] Don't spam try list debugging

2009-11-30  Sandro Santilli <strk@keybit.net>

	[11663] Document initial value for playhead position

2009-11-30  Benjamin Wolsey <bwy@benjaminwolsey.de>

	[11662] Fixes and cleanups to function execution and construction.

2009-11-30  Benjamin Wolsey <bwy@benjaminwolsey.de>

	[11661] Store Object.prototype in the Global objects, removing the
	need for static pointers. Initialize them differently (the pp does so
	too).  Add tests to work out what to do for the Function class.
	Remove various things from the as_function class.

2009-11-29  Benjamin Wolsey <bwy@benjaminwolsey.de>

	[11660] Use template arguments instead of C-style casts.

2009-11-28  Andrea Palmat? <andrea@amigasoft.net>

	[11659] Adapted the OS4 Gui to the recent changes.

2009-11-28  Andrea Palmat? <andrea@amigasoft.net>

	[11658] Reverted to the 11656 version due a wrong trunk commit

2009-11-28  Andrea Palmat? <andrea@amigasoft.net>

	[11657] Adapted the OS4 Gui to the recent changes.

2009-11-27  Benjamin Wolsey <bwy@benjaminwolsey.de>

	[11656] Cleanups, minor fix.

2009-11-27  Benjamin Wolsey <bwy@benjaminwolsey.de>

	[11655] Drop more static data.

2009-11-27  Benjamin Wolsey <bwy@benjaminwolsey.de>

	[11654] Finally fix testsuite for ffmpeg by introducing a proper
	AudioInput interface. This takes no account of the gst audioinput
	functionality, as a design without an implementation is a good
	starting point, whereas an implementation without any design is
	useless.

2009-11-26  Benjamin Wolsey <bwy@benjaminwolsey.de>

	[11653] A better way of delaying childNodes construction.

2009-11-26  Benjamin Wolsey <bwy@benjaminwolsey.de>

	[11652] Drop static data from XML and XMLNode. Make them work better.

2009-11-25  Benjamin Wolsey <bwy@benjaminwolsey.de>

	[11651] Organize trace tests better in their own subdirectories so
	that they aren't mixed up with other tests and are easier to skip when
	Gnash isn't built with AS3 support.

2009-11-24  Sandro Santilli <strk@keybit.net>

	[11650] Make loads in _level0 notify hosting with a Stage.resize
	event. Have Player proxy that to a new gui::resizeWindow implemented
	for GTK.

2009-11-23  Benjamin Wolsey <bwy@benjaminwolsey.de>

	[11649] Add call() to as_object interface, as this helps AS3 work.
	Improve super handling, CallFunction and CallMethod, as they can also
	be implemented more correctly if as_super inherits from as_object.
	Allow undefined 'this' in function calls. This is fine for SWF-defined
	functions; built-in and native functions should always check before
	using the this pointer, but some may not. This would be a bug.  Test
	and fix super creation in functions.  Change the meaning of
	fn_call::super (see documentation!) to be an override only if the
	normal super is not used. Create super only when necessary, resulting
	in major memory saving under suitable circumstances.

2009-11-23  Benjamin Wolsey <bwy@benjaminwolsey.de>

	[11648] Check ImplementsOp and update documentation. Rename
	as_object::add_interface to conform to coding guidelines.

2009-11-22  Benjamin Wolsey <bwy@benjaminwolsey.de>

	[11647] Add proper news.

2009-11-22  Sandro Santilli <strk@keybit.net>

	[11646] Add news item for 0.8.6 derived by bwy mail on gnash-dev

2009-11-22  Bastiaan Jacques <bastiaan@bjacques.org>

	[11645] Don't prevent the QT4 library tests from running when --with-
	qt4-incl was specified (should fix bug #26114).

2009-11-22  Sandro Santilli <strk@keybit.net>

	[11644] tabs to spaces

2009-11-22  Sandro Santilli <strk@keybit.net>

	[11643] Make sure gnash cleanup routines are called before 'exit'
	(should fix segfaults reported in bug #28010 )

2009-11-22  Sandro Santilli <strk@keybit.net>

	[11642] Make debugging message more complete

2009-11-21  Sandro Santilli <strk@keybit.net>

	[11641] Fix GST build (thanks edman007 for the patch)

2009-11-21  Sandro Santilli <strk@keybit.net>

	[11640] DEFINEBINARYDATA and DEFINEBITSJPEG4 tag enums added (NOTE:
	the former is used by SWF10 youtube player)

2009-11-20  Benjamin Wolsey <bwy@benjaminwolsey.de>

	[11639] Cleanups. Don't initialize __constructor__ property of AS3
	objects as they  do not have one.  Movie processLoad to be a member
	function of movie_root::LoadCallback.

2009-11-20  Benjamin Wolsey <bwy@benjaminwolsey.de>

	[11638] Fix regression introduced by commit 11561.1.43. TextField
	variables were not handled properly, breaking circlo game.

2009-11-20  Benjamin Wolsey <bwy@benjaminwolsey.de>

	[11637] Reduce size of as_object class by only assign triggers when
	used. This is relatively rare, so we shouldn't have to worry about
	them most of the time.

2009-11-18  Benjamin Wolsey <bwy@benjaminwolsey.de>

	[11636] Drop two constructors of as_object, reducing the number of
	places that add properties to objects.  Use Global_as functions more.
	Drop lots of useless types.  Initial implementation of some Transform
	functions.

2009-11-17  John Wimer <john@god.vtic.net>

	[11635] add support for window positioning

2009-11-17  Sandro Santilli <strk@keybit.net>

	[11634] More missing includes

2009-11-17  Benjamin Wolsey <bwy@benjaminwolsey.de>

	[11633] Cut out some weird stuff that ClassHierarchy was doing.

2009-11-17  Benjamin Wolsey <bwy@benjaminwolsey.de>

	[11632] Guess at some fixes to other people's build problems.  Drop
	something useless from AbcBlock.  Minor alterations to fb code.

2009-11-16  Benjamin Wolsey <bwy@benjaminwolsey.de>

	[11631] Include map.

2009-11-16  Benjamin Wolsey <bwy@benjaminwolsey.de>

	[11630] Move AS3-specific classes into libcore/abc and under the abc
	namespace. This may reduce the confusion about what parts of Gnash are
	for what purpose.

2009-11-16  Benjamin Wolsey <bwy@benjaminwolsey.de>

	[11629] Patch from Robert Millan based on patch by Josselin Mouette
	<joss@debian.org> to improve Debian packaging.

2009-11-16  Benjamin Wolsey <bwy@benjaminwolsey.de>

	[11628] Patch for window placement from Kristian Frank Erikson.  Minor
	cleanup in sdl.

2009-11-16  Benjamin Wolsey <bwy@benjaminwolsey.de>

	[11627] Move functions around, drop obsolete files.  Use boost
	preprocessor to avoid writing code out.  Various minor changes to make
	functions cleaner.

2009-11-16  Benjamin Wolsey <bwy@benjaminwolsey.de>

	[11626] Fix pythonmod build.  Move things into abc namespace.  Some
	important cleanups for ABC block comprehensibility.

2009-11-15  Benjamin Wolsey <bwy@benjaminwolsey.de>

	[11625] Rename some AS3 files and classes and add some documentation.
	Start to undo the horrible idea of using string_table::key for ABC
	resources.  Move callMethod out of as_object class so that it can be
	used on null objects. This makes it easier to implement ActionScript
	in many cases.

2009-11-15  Benjamin Wolsey <bwy@benjaminwolsey.de>

	[11624] Send onData when there's an error. Fixes blip.tv again.

2009-11-13  Sandro Santilli <strk@keybit.net>

	[11623] cleanups: move MovieFactory code to new MovieFactory.cpp file,
	also move MovieLibrary in that namespace.

2009-11-13  Sandro Santilli <strk@keybit.net>

	[11622] Wait for loads to happen rather than just assume they will in
	5ms

2009-11-12  Sandro Santilli <strk@keybit.net>

	[11621] lost track of releases

2009-11-12  Sandro Santilli <strk@keybit.net>

	[11620] Make all movies and bitmap loads non-blocking by using a
	single thread for socket initialization, magic number parsing and
	construction of appropriate definition.

2009-11-12  Benjamin Wolsey <bwy@benjaminwolsey.de>

	[11619] Fix Keyboard handling so that it can work with AS3 and AS2.

2009-11-11  Sandro Santilli <strk@keybit.net>

	[11618] Add more bzr ignores

2009-11-10  Sandro Santilli <strk@keybit.net>

	[11617] Drop unused loadLevel method from movie_root

2009-11-10  Sandro Santilli <strk@keybit.net>

	[11616] Drop obsoleted MovieClip::loadMovie method

2009-11-09  Sandro Santilli <strk@keybit.net>

	[11615] Centralize movie loading with the movie_root service. Should
	now be easier to work on the async load.

2009-11-08  Sandro Santilli <strk@keybit.net>

	[11614] Reverted postpone of bitmap loading as it breaks a test
	showing that onLoadInit call finds known bitmap size. Rather than
	fixing this I think is better to change strategy on un-blocking bitmap
	loads as this attempt didn't consider blockage on DNS lookup, socket
	initialization and magic number parsing anyway..

2009-11-08  Sandro Santilli <strk@keybit.net>

	[11613] 0.8.5 NEWS items

2009-11-07  Andrea Palmat? <andrea@amigasoft.net>

	[11612] Fixed a little variable declaration that broke the compilation

2009-11-06  Markus Gothe <nietzsche@lysator.liu.se>

	[11611] Fix DSOEXPORT

2009-11-06  Sandro Santilli <strk@keybit.net>

	[11610] Prepare for background bitmap loading.  What this commit does
	is basically burying non blocking read of image data inside
	BitmapMovieDefinition. The BitmapMovie::advance function will 'ping'
	the definition till it states there's nothing more to do. Only then
	the instance will fetch the actual bitmap (if any).  The drawback is
	we don't know image size at start time which means you'll get an
	arbitrary 512x512 window when passing an image as first argument to
	gnash.

2009-11-06  Sandro Santilli <strk@keybit.net>

	[11609] BitmapMovieDefinition.h isn't needed to parse any tag

2009-11-06  Sandro Santilli <strk@keybit.net>

	[11608] Actually don't even complain when readNonBlocking is called
	while in error condition

2009-11-06  Sandro Santilli <strk@keybit.net>

	[11607] Return 0 when bad() from ::readNonBlocking (there's no point
	in returning -1!)

2009-11-06  Sandro Santilli <strk@keybit.net>

	[11606] Check for bad condition of IOChannel after each read. Prevents
	aborts() on 404.

2009-11-06  Benjamin Wolsey <bwy@benjaminwolsey.de>

	[11605] Various cleanups after DisplayObject separation.

2009-11-05  Sandro Santilli <strk@keybit.net>

	[11604] Call onData only once, at EOF, for all LoadableObject. This
	was tested with a 1.6Mb file loaded using XML.prototype.load both from
	filesystem and HTTP. Was also confirmed by Company.

2009-11-05  Sandro Santilli <strk@keybit.net>

	[11603] Stop querying the string_table for _bytesLoaded and
	_bytesTotal

2009-11-05  Sandro Santilli <strk@keybit.net>

	[11602] Don't block while loading chunks (of XML and variables for
	example) from network. Fixes annoying stuttering during potlatch (OSM)
	use.

2009-11-05  Sandro Santilli <strk@keybit.net>

	[11601] Disable AMF debugging by default (too verbose)

2009-11-05  Benjamin Wolsey <bwy@benjaminwolsey.de>

	[11600] Update extensions to conform to Gnash's more correct design.
	Drop metome extension; it wasn't loaded due to incorrect naming, did
	nothing anyway, and is trivial to re-add if necessary.  Extensions
	that are never built (launcher, gtk2) are still not updated.
	Extensions now use Relays instead of subclasses. This should make no
	difference to existing code, but makes it possible to implement
	derived classes in ActionScript.  Functions are no longer attached to
	the class. This means they cannot be used as static members. This was
	theoretically possible before, but most such usage was rejected in the
	functions themselves.

2009-11-04  Benjamin Wolsey <bwy@benjaminwolsey.de>

	[11599] Separate DisplayObject typing from as_object.  Various other
	cleanups.

2009-11-04  Benjamin Wolsey <bwy@benjaminwolsey.de>

	[11598] Use existing code to parse add MovieClip variables.

2009-11-03  Sandro Santilli <strk@keybit.net>

	[11597] Naive implementation of TextField.replaceText. Enough to XPASS
	4 swfdec testcases and a bunch of custom ones added to TextField.as.
	Does utf8, should take care of registered text variables but isn't
	tested.

2009-11-03  Sandro Santilli <strk@keybit.net>

	[11596] TextField.replaceText does exist, even if it evaluates to
	undefined for SWF6

2009-11-01  Rob Savoye <rob@welcomehome.org>

	[11595] look for lib64 when trying to determine the system install
	path.

2009-11-01  Bastiaan Jacques <bastiaan@bjacques.org>

	[11594] Fix incorrectly escaped variable.

2009-10-31  Rob Savoye <rob@welcomehome.org>

	[11593] Use $MAKEFLAGS not $(MAKEFLAGS). Remove out of date YellowDog
	stuff, we now run Fedora on our PPC.

2009-10-29  Rob Savoye <rob@welcomehome.org>

	[11592] move definitions to source file, from header file to avoid
	multiple instances.

2009-10-27  Benjamin Wolsey <bwy@benjaminwolsey.de>

	[11591] Drop boost::intrusive_ptr.

2009-10-26  Benjamin Wolsey <bwy@benjaminwolsey.de>

	[11590] Remove use of boost::intrusive_ptr with DisplayObjects in
	function returns.

2009-10-26  Benjamin Wolsey <bwy@benjaminwolsey.de>

	[11589] Small cleanups.

2009-10-26  Benjamin Wolsey <bwy@benjaminwolsey.de>

	[11588] More small corrections, removal of static data.

2009-10-26  Benjamin Wolsey <bwy@benjaminwolsey.de>

	[11587] Fix pythonmod build.

2009-10-24  Rob Savoye <rob@welcomehome.org>

	[11586] move SetMovieRoot out of private, as it was causing
	compilation errors on Ubuntu Karmic. There is probably a better way to
	fix this.

2009-10-23  Benjamin Wolsey <bwy@benjaminwolsey.de>

	[11585] Another large commit to correct an unfortunate decision when
	introducing the Global_as concept.  Correct loadable object handling
	so it doesn't need a Relay and works on any object. This will allow
	implementing XML and XMLNode properly.  Drop LoadThread.

2009-10-22  Benjamin Wolsey <bwy@benjaminwolsey.de>

	[11584] Replace the various ensureType functions with a single
	function template ensure<> and some functors.  This is because there
	may be more variations needed in the short term, but ultimately most
	of the ensure<>s ought to disappear for compatibility. For this reason
	its signature is now more restrictive.  Minor fixes to TextField.

2009-10-22  Benjamin Wolsey <bwy@benjaminwolsey.de>

	[11583] Add more tests for TextFields and their construction.
	Simplify and correct TextField construction, add notes on what's
	needed to do it properly.  Minor fix to Array.

2009-10-21  Benjamin Wolsey <bwy@benjaminwolsey.de>

	[11582] Drop more static data, correct native array construction.

2009-10-21  Benjamin Wolsey <bwy@benjaminwolsey.de>

	[11581] Change movie_root initialization to enable separation of
	DisplayObject from as_object.

2009-10-21  Benjamin Wolsey <bwy@benjaminwolsey.de>

	[11580] Small cleanups.

2009-10-19  Markus Gothe <nietzsche@lysator.liu.se>

	[11579] use setName(el.getName()) instead of strdup

2009-10-19  Markus Gothe <nietzsche@lysator.liu.se>

	[11578] remove gnulib-support

2009-10-19  Markus Gothe <nietzsche@lysator.liu.se>

	[11577] Removed crufty file

2009-10-18  Bastiaan Jacques <bastiaan@bjacques.org>

	[11576] Check whether extractAMF() returns a dereferencible pointer.
	Fixes bug #27478

2009-10-17  Markus Gothe <nietzsche@lysator.liu.se>

	[11575] more neat solution

2009-10-17  Markus Gothe <nietzsche@lysator.liu.se>

	[11574] look for both 'nc' and 'netcat'

2009-10-17  Markus Gothe <nietzsche@lysator.liu.se>

	[11573] Since we're all fond of m4-code, GPLv3, GCC and glibc; I've
	added support for gnulib. ;-)

2009-10-16  Rob Savoye <rob@welcomehome.org>

	[11572] add rtmpget*

2009-10-16  Rob Savoye <rob@welcomehome.org>

	[11571] reorder targets some more. Us enew LIBLTDL1 instead of
	!LIBLTDL2

2009-10-16  Rob Savoye <rob@welcomehome.org>

	[11570] remove unused files.

2009-10-16  Rob Savoye <rob@welcomehome.org>

	[11569] Array_as::push() doesn't exist anymore.

2009-10-16  Rob Savoye <rob@welcomehome.org>

	[11568] fix packaging files to build debug package, and fix the
	dependencies.

2009-10-16  Benjamin Wolsey <bwy@benjaminwolsey.de>

	[11567] Make more as_object functions non-virtual. Generally clean up
	and reduce the as_object class interface, which is still much too
	large.  Make arrays almost entirely independent of type. Properties
	are now genuine properties.

2009-10-15  Rob Savoye <rob@welcomehome.org>

	[11566] clean up error message about missing package.

2009-10-15  Benjamin Wolsey <bwy@benjaminwolsey.de>

	[11565] Remove some ugly interfaces.

2009-10-15  Benjamin Wolsey <bwy@benjaminwolsey.de>

	[11564] Fake our fake array so it appears less fake.

2009-10-14  Rob Savoye <rob@welcomehome.org>

	[11563] drop ffmpeg dependency, we build packages with gst.

2009-10-14  Rob Savoye <rob@welcomehome.org>

	[11562] add conditional for libltdl version 1.

2009-10-14  Benjamin Wolsey <bwy@benjaminwolsey.de>

	[11561] Widespread but relatively unimportant changes to get rid of
	annoyances and misleading code (intrusive_ptr).  Various changes to
	the Array implementation so that it's less type-dependant and closer
	to the target implementation.

2009-10-13  Benjamin Wolsey <bwy@benjaminwolsey.de>

	[11560] More cleanups, more passes.

2009-10-13  Benjamin Wolsey <bwy@benjaminwolsey.de>

	[11559] Rejig properties more.

2009-10-12  Benjamin Wolsey <bwy@benjaminwolsey.de>

	[11558] Various changes to simplify DisplayObjects.  Minor
	ActionScript fixes.  Tests to help implement DisplayObjects properly.

2009-10-09  Benjamin Wolsey <bwy@benjaminwolsey.de>

	[11557] Reduce more.

2009-10-09  Benjamin Wolsey <bwy@benjaminwolsey.de>

	[11556] Drop more unused or obsolete code.

2009-10-08  Benjamin Wolsey <bwy@benjaminwolsey.de>

	[11555] Drop more overrides and prepare for refactoring.

2009-10-08  Markus Gothe <nietzsche@lysator.liu.se>

	[11554] Tiny cleanup

2009-10-08  Benjamin Wolsey <bwy@benjaminwolsey.de>

	[11553] More property lookup improvements.

2009-10-08  Benjamin Wolsey <bwy@benjaminwolsey.de>

	[11552] Partially refactor property lookup for much greater
	flexibility.  Make some corrections and improvements to property
	lookup, add tests in actionscript.all. Various accidental passes in
	swfdec testsuite.  Drop MovieClip::get_member and handle the remaining
	special MovieClip properties in the course of as_object::get_member
	and getDisplayObjectProperty. This could surely be improved more, but
	is a good intermediate stage.  Rename on_event to notifyEvent.

2009-10-07  Benjamin Wolsey <bwy@benjaminwolsey.de>

	[11551] More cleanup of properties. Drop button::get_member.  Move
	functions around.

2009-10-07  Benjamin Wolsey <bwy@benjaminwolsey.de>

	[11550] Interface cleanups. Rely less on VM singleton.  Reduce button
	get_member override more.

2009-10-06  Benjamin Wolsey <bwy@benjaminwolsey.de>

	[11549] Clean up.  Remove on_event from as_object as it's never used.

2009-10-06  Benjamin Wolsey <bwy@benjaminwolsey.de>

	[11548] Test and handle case-insensitivity for magic DisplayObject
	properties.  Rename rect to SWFRect.

2009-10-03  Markus Gothe <nietzsche@lysator.liu.se>

	[11547] fix typecasting for shm

2009-10-03  Markus Gothe <nietzsche@lysator.liu.se>

	[11546] clean-up typecasting

2009-10-02  Markus Gothe <nietzsche@lysator.liu.se>

	[11545] Remove errornous (

2009-10-02  Markus Gothe <nietzsche@lysator.liu.se>

	[11544] Added two patched from gbeauchesne@splitted-desktop.com

2009-10-02  Markus Gothe <nietzsche@lysator.liu.se>

	[11543] log.h already includes gettext.h

2009-10-02  Markus Gothe <nietzsche@lysator.liu.se>

	[11542] Use C++-locale's as bwy pointed out

2009-10-02  Benjamin Wolsey <bwy@benjaminwolsey.de>

	[11541] Clean up a couple of interfaces.

2009-10-02  Benjamin Wolsey <bwy@benjaminwolsey.de>

	[11540] <clocale> is only for setlocale. Restore <locale> where it's
	for C++ locale objects. Drop from ASHandlers.cpp, where it's not
	needed anyway. The encoding-guessing code it was probably intended for
	doesn't use it.

2009-10-01  Markus Gothe <nietzsche@lysator.liu.se>

	[11539] More cleaning up

2009-10-01  Markus Gothe <nietzsche@lysator.liu.se>

	[11538] Clean up

2009-10-01  Markus Gothe <nietzsche@lysator.liu.se>

	[11537] <cstdarg>

2009-10-01  Markus Gothe <nietzsche@lysator.liu.se>

	[11536] Use standard <clocale> in favor of <locale>

2009-10-01  Markus Gothe <nietzsche@lysator.liu.se>

	[11535] C++-ify includes

2009-10-01  Udo Giacomozzi <udo.gnu@nova-sys.net>

	[11534] align_line(): shift the long-term _textRecords, not
	_displayRecords which is valid only during display() ; align the last
	line (applies to single-line text fields too). This commit should fix
	the alignment problems (all text fields were left-aligned regardless
	of their definition

2009-10-01  Sandro Santilli <strk@keybit.net>

	[11533] Turn some WARNING into RECOMMENDED (things required for SWF
	compatibility). Fix a typo in one of those messages.

2009-10-01  Udo Giacomozzi <udo.gnu@nova-sys.net>

	[11532] support for ABS_PRESSURE

2009-10-01  Benjamin Wolsey <bwy@benjaminwolsey.de>

	[11531] Strike another blow for re-entrancy by removing the overridden
	get_member and set_member in TextField. This involves implementing the
	'magic' DisplayObject properties (properties not in the inheritance
	chain) more correctly.  To do this, the core must know which objects
	are DisplayObjects. This is done using a flag rather than relying on
	RTTI.  Approximately 200 more passes in the testsuite from better
	TextField  dimensions handling (though it never has been and still is
	not even nearly correct) and from correct object properties.
	TextFields and Buttons now also gain properties that they should have
	but which were absent before.

2009-09-30  Benjamin Wolsey <bwy@benjaminwolsey.de>

	[11530] Fix bug. Improve documentation.

2009-09-29  Rob Savoye <rob@welcomehome.org>

	[11529] more rearranging cause of weird problems.

2009-09-29  Rob Savoye <rob@welcomehome.org>

	[11528] rearrange to work around obscure problem.

2009-09-29  Benjamin Wolsey <bwy@benjaminwolsey.de>

	[11527] Correct string conversions.

2009-09-29  Benjamin Wolsey <bwy@benjaminwolsey.de>

	[11526] Move Relay classes into a separate file.  Implement all
	flash.geom classes and flash.display.BitmapData using either a Relay
	or a simple as_object. Drop unnecessary types and all static
	prototypes and constructors.  Passes in swfdec and actionscript.all
	testsuites.

2009-09-25  Bastiaan Jacques <bastiaan@bjacques.org>

	[11525] Fix typo that caused link time lookup of gst_version() to
	fail.

2009-09-24  Rob Savoye <rob@welcomehome.org>

	[11524] Don't use the version number in the path for pbutils.

2009-09-24  Rob Savoye <rob@welcomehome.org>

	[11523] Updated Czech translation by Petr Pisar.

2009-09-24  Andrea Palmat? <andrea@amigasoft.net>

	[11522] Add a semicolon to the sockaddr_un struct

2009-09-24  Rob Savoye <rob@welcomehome.org>

	[11521] drop extraneous semi-colons and commas.

2009-09-24  Benjamin Wolsey <bwy@benjaminwolsey.de>

	[11520] Fix crash when loading extensions. Search in the directory
	we're supposed to search in.

2009-09-24  Benjamin Wolsey <bwy@benjaminwolsey.de>

	[11519] Tidy up AS3 filter.

2009-09-22  Benjamin Wolsey <bwy@benjaminwolsey.de>

	[11518] Sort flash.filters class out to avoid static data and fix
	properties. None of it worked before, and none of it is implemented
	now, but it is at least tidy, correct, and more or less ready for an
	implementation.  Passes in swfdec testsuite.

2009-09-20  Markus Gothe <nietzsche@lysator.liu.se>

	[11517] Use EXIT_SUCCESS/EXIT_FAILURE consistent

2009-09-20  Markus Gothe <nietzsche@lysator.liu.se>

	[11516] Use EXIT_SUCCESS/EXIT_FAILURE consistent

2009-09-20  Markus Gothe <nietzsche@lysator.liu.se>

	[11515] Use EXIT_SUCCESS/EXIT_FAILURE consistent

2009-09-17  Markus Gothe <nietzsche@lysator.liu.se>

	[11514] static_cast<>

2009-09-17  Markus Gothe <nietzsche@lysator.liu.se>

	[11513] DSOEXPORT

2009-09-15  Benjamin Wolsey <bwy@benjaminwolsey.de>

	[11512] Fix more of the haxe testsuite.

2009-09-14  Benjamin Wolsey <bwy@benjaminwolsey.de>

	[11511] Implement salign and scale parameters. Only manually tested;
	should fix bug #27293.

2009-09-13  Markus Gothe <nietzsche@lysator.liu.se>

	[11510] Fix DSOEXPORT's for Cygnal

2009-09-13  Rob Savoye <rob@welcomehome.org>

	[11509] convert to an int, not a double.

